﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace CompassHealth.NAntExtensions.Tasks
{
    public partial class VaultLoginForm : Form
    {
        public VaultLoginForm()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            Submit();
        }

        /// <summary>
        /// Submit the authentication detail.
        /// </summary>
        private void Submit()
        {
            VaultUser.GetSingleton().UserName = userNameTextBox.Text;
            VaultUser.GetSingleton().Password = passwordTextBox.Text;
            this.Close();
        }

        private void button2_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private void passwordTextBox_KeyPress(object sender, KeyPressEventArgs e)
        {
            const int returnKeyCode = 13;
            if (e.KeyChar == (char)returnKeyCode)
            {
                // handle the 'return' key so that the form is submitted if the key is pressed //
                Submit();
                e.Handled = true;   // supress further handling of the key as the form will be subimitted //
            }
        }
    }
}
